tbb::flow::interface11::callback< Callback, T > Class Template Reference

`#include <flow_graph_opencl_node.h>`

Inheritance diagram for tbb::flow::interface11::callback< Callback, T >:
Collaboration diagram for tbb::flow::interface11::callback< Callback, T >:

## Public Member Functions

| callback (Callback c, const T &t)
void | call () __TBB_override
Public Member Functions inherited from tbb::flow::interface11::callback_base
virtual | ~callback_base ()

## Private Attributes

Callback | my_callback
T | my_data

## Detailed Description

### template<typename Callback, typename T>
class tbb::flow::interface11::callback< Callback, T >

Definition at line 342 of file flow_graph_opencl_node.h.

## Constructor & Destructor Documentation

## callback()

template<typename Callback , typename T >

tbb::flow::interface11::callback< Callback, T >::callback | ( | Callback | c,
|  | const T & | t
| ) |  |

inline

Definition at line 346 of file flow_graph_opencl_node.h.

: my_callback( c ), my_data( t ) {}

## Member Function Documentation

## call()

template<typename Callback , typename T >

void tbb::flow::interface11::callback< Callback, T >::call | ( |  | ) |

inline virtual

Implements tbb::flow::interface11::callback_base.

Definition at line 348 of file flow_graph_opencl_node.h.

{
my_callback( my_data );
}

References tbb::flow::interface11::callback< Callback, T >::my_callback, and tbb::flow::interface11::callback< Callback, T >::my_data.

## Member Data Documentation

## my_callback

template<typename Callback , typename T >

Callback tbb::flow::interface11::callback< Callback, T >::my_callback

private

Definition at line 343 of file flow_graph_opencl_node.h.

Referenced by tbb::flow::interface11::callback< Callback, T >::call().

## my_data

template<typename Callback , typename T >

T tbb::flow::interface11::callback< Callback, T >::my_data

private

Definition at line 344 of file flow_graph_opencl_node.h.

Referenced by tbb::flow::interface11::callback< Callback, T >::call().

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

tbb::flow::interface11::callback::my_callback
Callback my_callback
Definition: flow_graph_opencl_node.h:343
tbb::flow::interface11::callback::my_data
T my_data
Definition: flow_graph_opencl_node.h:344

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.